Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236093 - jdt-apt plugin not included with eclipse-jdt
Summary: jdt-apt plugin not included with eclipse-jdt
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Konrath
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 21:47 UTC by Stuart Jansen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 03:44:09 UTC


Attachments (Terms of Use)

Description Stuart Jansen 2007-04-11 21:47:45 UTC
Description of problem:
The jdt-apt plugin is not included with eclipse-jdt, nor does it appear to be
available anywhere else. I couldn't find any explanation of the reasoning behind
this decision. It was surprising because jdt-apt is now a standard part of eclipse.

Version-Release number of selected component (if applicable):
eclipse-jdt-3.2.2-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open the project properties dialog, and go to the Java Compiler / Annotation
Processing panel.
2. Notice that there is no Annotation Processing panel
  
Actual results:
jdt-apt is not included

Expected results:
jdt-apt is included as with the standard Ecplise bundle

Comment 1 Andrew Overholt 2007-04-12 03:44:09 UTC
The version of gcj in FC6 doesn't support 1.5 constructs which are needed to
build JDT APT.  The functionality *is* included in rawhide (what will become
Fedora 7) since the version of gcj available there includes 1.5 compiler and
library support.


Note You need to log in before you can comment on or make changes to this bug.